GNU bug report logs - #43128
27.1; DPI change not detected after switching to Emacs 27.1

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vincent Bernat <bernat@HIDDEN>; dated Mon, 31 Aug 2020 07:41:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43128 <at> debbugs.gnu.org:


Received: (at 43128) by debbugs.gnu.org; 2 Sep 2020 14:19:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 02 10:19:02 2020
Received: from localhost ([127.0.0.1]:60261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDTbJ-0007ys-Nl
	for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 10:19:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kDTbI-0007yc-Jr
 for 43128 <at> debbugs.gnu.org; Wed, 02 Sep 2020 10:19:01 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45944)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kDTbD-0000Rf-Bm; Wed, 02 Sep 2020 10:18:55 -0400
Received: from [176.228.60.248] (port=4091 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kDTbC-00016r-L7; Wed, 02 Sep 2020 10:18:55 -0400
Date: Wed, 02 Sep 2020 17:18:40 +0300
Message-Id: <83zh68uurj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
In-Reply-To: <wl7dtcy5h8.wl-mituharu@HIDDEN> (message from
 YAMAMOTO Mitsuharu on Wed, 02 Sep 2020 16:58:59 +0900)
Subject: Re: bug#43128: Acknowledgement (27.1;
 DPI change not detected after switching to Emacs 27.1)
References: <87k0xf9sqv.fsf@HIDDEN>
 <handler.43128.B.15988596567523.ack <at> debbugs.gnu.org>
 <878sdsljrt.fsf@HIDDEN> <wl7dtcy5h8.wl-mituharu@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43128
Cc: 43128 <at> debbugs.gnu.org, bernat@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 02 Sep 2020 16:58:59 +0900
> From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
> Cc: 43128 <at> debbugs.gnu.org
> 
> > After investigating a bit, I see that `read_settings()' is correctly
> > called and the DPI retrieved is correct. However, `apply_xft_settings()'
> > seems to be a noop for me.
> 
> The function apply_xft_settings wasn't a no-op when I originally
> removed the dependency on Xft if USE_CAIRO.  But it was changed to a
> no-op as a workaround for Bug#36284.

Bug#36284 seems to be about an issue unrelated to DPI scaling.  is
there perhaps a way to keep parts of it that will allow to adapt to
the DPI change?

> As I mentioned in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36284#8,
> a proper fix would be to implement replacements for
> XftDefaultSubstitute and XftDefaultSet.

How complicate will such a change be?  Will it be simple and safe
enough to allow installing such a change on the emacs-27 branch?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43128; Package emacs. Full text available.

Message received at 43128 <at> debbugs.gnu.org:


Received: (at 43128) by debbugs.gnu.org; 2 Sep 2020 14:16:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 02 10:16:53 2020
Received: from localhost ([127.0.0.1]:60242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDTZF-0007uX-9c
	for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 10:16:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47268)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kDTZB-0007uI-QA
 for 43128 <at> debbugs.gnu.org; Wed, 02 Sep 2020 10:16:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45858)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kDTZ4-0000A5-5c; Wed, 02 Sep 2020 10:16:42 -0400
Received: from [176.228.60.248] (port=3949 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kDTZ1-0000qu-V6; Wed, 02 Sep 2020 10:16:40 -0400
Date: Wed, 02 Sep 2020 17:16:25 +0300
Message-Id: <831rjkw9fq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vincent Bernat <bernat@HIDDEN>
In-Reply-To: <87ft80twsd.fsf@HIDDEN> (message from Vincent Bernat on Wed, 02
 Sep 2020 10:20:18 +0200)
Subject: Re: bug#43128: Acknowledgement (27.1;
 DPI change not detected after switching to Emacs 27.1)
References: <87k0xf9sqv.fsf@HIDDEN>
 <handler.43128.B.15988596567523.ack <at> debbugs.gnu.org>
 <878sdsljrt.fsf@HIDDEN>
 <wl7dtcy5h8.wl-mituharu@HIDDEN> <87ft80twsd.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43128
Cc: 43128 <at> debbugs.gnu.org, mituharu@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Vincent Bernat <bernat@HIDDEN>
> Date: Wed, 02 Sep 2020 10:20:18 +0200
> Cc: 43128 <at> debbugs.gnu.org
> 
> It may be a bit late now that 27.1 is released, but #36284 has an easy
> workaround of moving the default face outside init

Can you elaborate on that workaround?  I don't think I understand what
you mean by "moving the default face outside init".  Did you mean some
code change? if so, could you tell more about the change you had in
mind?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43128; Package emacs. Full text available.

Message received at 43128 <at> debbugs.gnu.org:


Received: (at 43128) by debbugs.gnu.org; 2 Sep 2020 08:20:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 02 04:20:30 2020
Received: from localhost ([127.0.0.1]:58217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDO0L-0003wR-VJ
	for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 04:20:30 -0400
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:41341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bernat@HIDDEN>) id 1kDO0I-0003wD-S7
 for 43128 <at> debbugs.gnu.org; Wed, 02 Sep 2020 04:20:28 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id C7CEC10B0;
 Wed,  2 Sep 2020 04:20:20 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Wed, 02 Sep 2020 04:20:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=luffy.cx; h=from
 :to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-type:content-transfer-encoding; s=fm1; bh=
 QlqfZclDZWKBADqq7QuJGklyUUIsDjFrfY0IFMqL0S0=; b=eMTbcDn3ftE8A0vl
 cE80WtmDIUq7xNVX188MPYGWxdClEpK0QmUBoHAVn3PLBF/2BNB0IttOPJE2Y8wE
 eeqivMovl1RbwElaVuQA7L4MEWlNkNl5vWmQFgTvig98cwG92EKxXD5N1tvgyra6
 mX+aai4yYaqr7mX6uzzVOm7n+IFMaPz1SaOP6WFLLfbt9O/MRW+jfVG9jjuTfz+U
 5kkuLRD0asvXea9KDkQvp4d3rKtjEISK7OXnu5OZXxlFB9saIrH39SnVVWDVPWie
 gGoXDGf/QANlSltGaKXxKN36MYJbJoSPT0Hr9PIsl0aXF2AzsydtGSnaWuxWCPsj
 AfkluQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm3; bh=QlqfZclDZWKBADqq7QuJGklyUUIsDjFrfY0IFMqL0
 S0=; b=G2JTKxA75alHKFaPeOLdVXzIzMxHYZ570jy+kI/jT78xXW/tV8z+MDXO+
 3JsNaLfZj3iUQWPAwBLb9Oc1e8lPRPcoH7/gEy9a79HCIXBZ+/Vk3t0r+aFnKzbw
 d5VVqd/VsI5h44gCe08YNkK5TU3x8hVLUDjn2SrxtFURG11Rt1x6Pnl6sF+LgkIu
 Fw2A5d22fDSKIhjvEB3adjmgvv22wRCEHiYNUgREeipvmFVSOknGavxsjImREugK
 hcVVoRNvotqRJEfGON6Qm98ii3ExXNFLL1Ai+cEjCucwan8meiOHa7FrzaoqxPQz
 25sI+VmIkHHoneoEyNLYG8j2LnW+A==
X-ME-Sender: <xms:w1VPX5MRZH1D0c5HCNdEMyleawdZYJjBA-ogfBkEvqjInMWv-3bVSw>
 <xme:w1VPX7-p30DgE6NwdnUcbQIkB_em5gS68vlSK_oPDN9HxbRaYhOjjeBhwOxSzrj16
 5GoCo0vsOlfL0iTtnw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrudefledgtdefucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufhffjgfkfgggtgfgsehtke
 ertddtreejnecuhfhrohhmpeggihhntggvnhhtuceuvghrnhgrthcuoegsvghrnhgrthes
 lhhufhhfhidrtgigqeenucggtffrrghtthgvrhhnpeeuveejgfefgffgiefgjedttdffhe
 etvdeliedvueefheelgfejveffkeeflefgfeenucfkphepudekhedruddvfedrvdeirddv
 tddvnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepsg
 gvrhhnrghtsehluhhffhihrdgtgi
X-ME-Proxy: <xmx:w1VPX4Q4MacE1L30bhp3vBcpFID6tP3yDNabm6yXEomMtvAvW5NkOA>
 <xmx:w1VPX1sUTz-wBe43WOQAbgaBpRzyuU4O1HFOaRzpDE4VLCAofmvHyw>
 <xmx:w1VPXxcxHetYe38c1EdSyFFA2cK-uei43P3v5lhiKli4wWsOKCnb7Q>
 <xmx:xFVPX3q1oeCfM-u51U7IsN8wyKm2FJej3ICvSY_5Qw9Hkb6Ky1Tt_A>
Received: from guybrush.luffy.cx (unknown [185.123.26.202])
 by mail.messagingengine.com (Postfix) with ESMTPA id 88E83306005E;
 Wed,  2 Sep 2020 04:20:19 -0400 (EDT)
Received: by guybrush.luffy.cx (Postfix, from userid 1000)
 id CCD211FE59; Wed,  2 Sep 2020 10:20:18 +0200 (CEST)
From: Vincent Bernat <bernat@HIDDEN>
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Subject: Re: bug#43128: Acknowledgement (27.1; DPI change not detected after
 switching to Emacs 27.1)
References: <87k0xf9sqv.fsf@HIDDEN>
 <handler.43128.B.15988596567523.ack <at> debbugs.gnu.org>
 <878sdsljrt.fsf@HIDDEN>
 <wl7dtcy5h8.wl-mituharu@HIDDEN>
Date: Wed, 02 Sep 2020 10:20:18 +0200
In-Reply-To: <wl7dtcy5h8.wl-mituharu@HIDDEN> (YAMAMOTO
 Mitsuharu's message of "Wed, 02 Sep 2020 16:58:59 +0900")
Message-ID: <87ft80twsd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43128
Cc: 43128 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 ❦  2 septembre 2020 16:58 +09, YAMAMOTO Mitsuharu:

>> After investigating a bit, I see that `read_settings()' is correctly
>> called and the DPI retrieved is correct. However, `apply_xft_settings()'
>> seems to be a noop for me.
>
> The function apply_xft_settings wasn't a no-op when I originally
> removed the dependency on Xft if USE_CAIRO.  But it was changed to a
> no-op as a workaround for Bug#36284.

It may be a bit late now that 27.1 is released, but #36284 has an easy
workaround of moving the default face outside init, while not being able
to adapt to the current desktop DPI settings has no obvious workaround
except restarting Emacs. I'll just compile Emacs without Cairo support
for now.
-- 
Let me take you a button-hole lower.
		-- William Shakespeare, "Love's Labour's Lost"




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43128; Package emacs. Full text available.

Message received at 43128 <at> debbugs.gnu.org:


Received: (at 43128) by debbugs.gnu.org; 2 Sep 2020 07:59:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 02 03:59:04 2020
Received: from localhost ([127.0.0.1]:58196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDNfc-00036u-NW
	for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 03:59:04 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:60684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mituharu@HIDDEN>) id 1kDNfa-00036S-MD
 for 43128 <at> debbugs.gnu.org; Wed, 02 Sep 2020 03:59:03 -0400
Received: from mathent.math.s.chiba-u.ac.jp (mathent [192.168.32.5])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id A4D9CF08ED;
 Wed,  2 Sep 2020 16:58:59 +0900 (JST)
 (envelope-from mituharu@HIDDEN)
Date: Wed, 02 Sep 2020 16:58:59 +0900
Message-ID: <wl7dtcy5h8.wl-mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: Vincent Bernat <bernat@HIDDEN>
Subject: Re: bug#43128: Acknowledgement (27.1;
 DPI change not detected after switching to Emacs 27.1)
In-Reply-To: <878sdsljrt.fsf@HIDDEN>
References: <87k0xf9sqv.fsf@HIDDEN>
 <handler.43128.B.15988596567523.ack <at> debbugs.gnu.org>
 <878sdsljrt.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL/10.8 EasyPG/1.0.0 Emacs/26.3
 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43128
Cc: 43128 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, 02 Sep 2020 16:28:38 +0900,
Vincent Bernat wrote:
> 
> Hey!
> 
> After investigating a bit, I see that `read_settings()' is correctly
> called and the DPI retrieved is correct. However, `apply_xft_settings()'
> seems to be a noop for me.

The function apply_xft_settings wasn't a no-op when I originally
removed the dependency on Xft if USE_CAIRO.  But it was changed to a
no-op as a workaround for Bug#36284.

As I mentioned in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36284#8,
a proper fix would be to implement replacements for
XftDefaultSubstitute and XftDefaultSet.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43128; Package emacs. Full text available.

Message received at 43128 <at> debbugs.gnu.org:


Received: (at 43128) by debbugs.gnu.org; 2 Sep 2020 07:51:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 02 03:51:47 2020
Received: from localhost ([127.0.0.1]:58183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDNYZ-0002wa-2Y
	for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 03:51:47 -0400
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:41405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bernat@HIDDEN>) id 1kDNYV-0002wM-Ap
 for 43128 <at> debbugs.gnu.org; Wed, 02 Sep 2020 03:51:45 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 1D988109E
 for <43128 <at> debbugs.gnu.org>; Wed,  2 Sep 2020 03:51:37 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Wed, 02 Sep 2020 03:51:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=luffy.cx; h=from
 :to:subject:references:date:in-reply-to:message-id:mime-version
 :content-type:content-transfer-encoding; s=fm1; bh=iVyaWiVGc+TKU
 KGuek5Jj7LViCSY26mNRjwRp+T0rb0=; b=g9WyqEtnWeYg+vl5VRs3ataj5HBxO
 HWK77mysowUFt+WIOZACE1m+iQhhx5j5DI4652at2jLs/rvQTlg1gduBdK/6qd7v
 5vKxHfX0F1BWDVi3IcesfXN9ZmFTlJqpHfk5TSloxekyCqvGVwof+l7h3w7Ygg6v
 qzpG2oSGdZZUyAggLDBQwvF89ntLRboPAM+Yptu9ncf0ULlPjIT90YwyIqXcFUqb
 wsX6Zi7Oxp+L6HMU65X38nUFd9XXblh6qJJQli6AdARpcUHrLFS8N9FjV2T6JGTC
 VbDY0HjOty236Tn3ucXM3vncdpRBZpFCTgW3g4+ZFuOrNybb25/97zAeQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm3; bh=iVyaWiVGc+TKUKGuek5Jj7LViCSY26mNRjwRp+T0r
 b0=; b=PewrvYppDhKUCi5Lydxuuo7DzLPevJIHeSoftqB3+zWZS1oViJKD724Ao
 yDdGZjyKrIm0JCjk46YwwUt2acMa/ebK+jsvjyo3ALYEaUzHb71O7XnZqZbDARj+
 jfnUfnxH100XwxZaPP++0PChRknJPtASL2i4rHgMaoOcKBypBmTeiy20X1+8giJG
 qvDd7mhYoU/KkQFbvy7z9kC2WUT0HRZ+DCoOyouLG1tlMhZ7mfqWlWihGxwC0N5h
 n45l596SxhNVRXxV5n8evu8whyRpYMmy9CwAO/S7akjnTRO9jV3TgTp+FMSrrdaO
 x02vGIPRnqgBsdIz2ou2zQWoG3Cng==
X-ME-Sender: <xms:CE9PX2BigftslawEdKwo-tpdfclxXFMGVQbIwba-KyqkamgRNIHr_g>
 <xme:CE9PXwg_74yhci7s7_hURhfn04hfjl6TQcxFeeBHyVVCB28AxX_JBemkICbFSS-9w
 dGz6rf8qRC0Mcuix4k>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrudefkedguddvhecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufhfffgjkfgfgggtgfesth
 ekredttderjeenucfhrhhomhepgghinhgtvghnthcuuegvrhhnrghtuceosggvrhhnrght
 sehluhhffhihrdgtgieqnecuggftrfgrthhtvghrnhepueevjefgfefggfeigfejtddtff
 ehtedvleeivdeufeehlefgjeevffekfeelgfefnecukfhppedukeehrdduvdefrddviedr
 vddtvdenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpe
 gsvghrnhgrtheslhhufhhfhidrtgig
X-ME-Proxy: <xmx:CE9PX5leP_dcSK3kwbrMZOtzimPypQWnQPo36jqlYPaC-gQrB-Wd1Q>
 <xmx:CE9PX0wp6Fwwd9582RAcmLU9FhzKEJZtqt27UfWGZxMRUwGt8q_nqg>
 <xmx:CE9PX7ShR1qbwc4BkRYyCvZqZHSZ2TEgccy-z8HXAK9itR85Mr7EKg>
 <xmx:CE9PXye59ys8QQwfg2RWwsWTnvNRzhTa9JpoEBMBqdPiTH5Niga5JQ>
Received: from guybrush.luffy.cx (unknown [185.123.26.202])
 by mail.messagingengine.com (Postfix) with ESMTPA id 6083530600A9
 for <43128 <at> debbugs.gnu.org>; Wed,  2 Sep 2020 03:51:36 -0400 (EDT)
Received: by guybrush.luffy.cx (Postfix, from userid 1000)
 id 452591FE59; Wed,  2 Sep 2020 09:51:35 +0200 (CEST)
From: Vincent Bernat <bernat@HIDDEN>
To: 43128 <at> debbugs.gnu.org
Subject: Re: bug#43128: Acknowledgement (27.1; DPI change not detected after
 switching to Emacs 27.1)
References: <87k0xf9sqv.fsf@HIDDEN>
 <handler.43128.B.15988596567523.ack <at> debbugs.gnu.org>
 <878sdsljrt.fsf@HIDDEN>
Date: Wed, 02 Sep 2020 09:51:35 +0200
In-Reply-To: <878sdsljrt.fsf@HIDDEN> (Vincent Bernat's message of "Wed, 02
 Sep 2020 09:28:38 +0200")
Message-ID: <87k0xcty48.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43128
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 ❦  2 septembre 2020 09:28 +02, Vincent Bernat:

> From configure.ac, I see that I go into the Cairo branch which disables
> Xft:
>
> #+begin_src sh
>   if test $HAVE_CAIRO = yes; then
>     dnl Strict linkers fail with
>     dnl ftfont.o: undefined reference to symbol 'FT_New_Face'
>     dnl if -lfreetype is not specified.
>     dnl The following is needed to set FREETYPE_LIBS.
>     EMACS_CHECK_MODULES([FREETYPE], [freetype2])
>
>     test "$HAVE_FREETYPE" = "no" && AC_MSG_ERROR(cairo requires libfreetype)
>
>     EMACS_CHECK_MODULES([FONTCONFIG], [fontconfig >= 2.2.0])
>
>     test "$HAVE_FONTCONFIG" = "no" && AC_MSG_ERROR(cairo requires libfontconfig)
>     dnl For the "Does Emacs use" message at the end.
>     HAVE_XFT=no
> #+end_src
>
> So, no XFT seems to mean, no DPI change is possible. Is that expected?

Disabling Cairo fixes the problem for me.
-- 
Program defensively.
            - The Elements of Programming Style (Kernighan & Plauger)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43128; Package emacs. Full text available.

Message received at 43128 <at> debbugs.gnu.org:


Received: (at 43128) by debbugs.gnu.org; 2 Sep 2020 07:28:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 02 03:28:57 2020
Received: from localhost ([127.0.0.1]:58137 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDNCP-0002J0-DM
	for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 03:28:57 -0400
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:35723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bernat@HIDDEN>) id 1kDNCK-0002IY-9K
 for 43128 <at> debbugs.gnu.org; Wed, 02 Sep 2020 03:28:51 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id A559DFA1
 for <43128 <at> debbugs.gnu.org>; Wed,  2 Sep 2020 03:28:41 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Wed, 02 Sep 2020 03:28:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=luffy.cx; h=from
 :to:subject:references:date:in-reply-to:message-id:mime-version
 :content-type:content-transfer-encoding; s=fm1; bh=cfjRzIu/w6A2W
 sqCCkT203XfFnOjUrgP9qaXguLsdoc=; b=ghcYaDFELMP5qt3T0M/ZSoMuKbN8k
 VP52WvIEyw9lB8tFQkyIh16GJ8RGfBCzBJ3bsLDNeMPNpml6Z7TITtUAtbNimIe+
 QQ2wc9BVop+Qww6+iZG3yJZLFbTN6gwp+0J2exMlMJcr+XzIFxRQf2q0m17/7Sqb
 LWC0Z+hMkjXIWvmEAdgtU8tnjIAfBys/bb98dRwpgONMyjHSgN9FPeCebcuAzG44
 B4dW59ualICvgSU8v7ouTq/mo9Mfex3j7Phv3A4ku2a4OQNrXOznL/Uwomw/jRtn
 aivF896IXX4Z0AxP6wpc02HTL3aLg3I/HUSyXQGV4aQNhiJOlZI3TzMjA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm3; bh=cfjRzIu/w6A2WsqCCkT203XfFnOjUrgP9qaXguLsd
 oc=; b=mHuD1Tf+Hols6IxsFzAM4i47hRupHUVVdLAutICOGwEsjV6IkIKNS/UJG
 gGvTTEG8kYgzWUomWl5vC5WE7j58CfMw6Oj1dnec6lwRXuFv4n9h8Ujq62v/SE6G
 cSdIse1B3bhMXiw2v5jdLLI9hbU39EqK7N0w4xWo49KWJYLmyBr+o4YhY+Ls4lIw
 bwTgtU8YQFoO902sj4aieQygnNYovHvqGLxquElSVCQGKyjTCSLa9LEmkesla0u/
 7DrDJ0MSCgu1roc7cQLLe7gNVSlc3gsD6wMgBdLJT4QphI6xvs+rzVHWzSjL27fO
 EP6PV1DLSQ1T9Y+OGH/Rkj7Y2qV4g==
X-ME-Sender: <xms:qElPX3549OgiOSbT9rtdAvf91AtcrOWeBowWVaZBhsV5WqO4XAaqzg>
 <xme:qElPX86ddnTOCCYMkpc-5l2XC_fi-cmyWUqSTyB-Wl36Fh_N21bbcwQISQ6EVBv4I
 X4jyOC_cQzG19ilR18>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrudefkedguddvtdcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufhfffgjkfgfgggtgfesth
 hqredttdertdenucfhrhhomhepgghinhgtvghnthcuuegvrhhnrghtuceosggvrhhnrght
 sehluhhffhihrdgtgieqnecuggftrfgrthhtvghrnhepffeiudekudfhgfffjeejuddute
 efteduudehvedtkeefvefgjedtveejleeufeelnecukfhppedukeehrdduvdefrddviedr
 vddtvdenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpe
 gsvghrnhgrtheslhhufhhfhidrtgig
X-ME-Proxy: <xmx:qElPX-eckD1XaXvx4eUPnZVPQFKu60vbWvsqKqaTNfEkbA6-_VvhWQ>
 <xmx:qElPX4LEYV_d_j47Q6qMOmJfxLQQ5lsgXsuISrAp6_821oFIeSHH-Q>
 <xmx:qElPX7I7SZNU6zNcfyaWFnHsxz52bCi67lywZtVncAeE7nJPWxpNhA>
 <xmx:qUlPXwU14BZYVj6-3G6hWlrU5K2tgdrTSPLcx8mghjAiZzoWgYF4Ew>
Received: from guybrush.luffy.cx (unknown [185.123.26.202])
 by mail.messagingengine.com (Postfix) with ESMTPA id 822483280063
 for <43128 <at> debbugs.gnu.org>; Wed,  2 Sep 2020 03:28:40 -0400 (EDT)
Received: by guybrush.luffy.cx (Postfix, from userid 1000)
 id 9C5761FE58; Wed,  2 Sep 2020 09:28:38 +0200 (CEST)
From: Vincent Bernat <bernat@HIDDEN>
To: 43128 <at> debbugs.gnu.org
Subject: Re: bug#43128: Acknowledgement (27.1; DPI change not detected after
 switching to Emacs 27.1)
References: <87k0xf9sqv.fsf@HIDDEN>
 <handler.43128.B.15988596567523.ack <at> debbugs.gnu.org>
Date: Wed, 02 Sep 2020 09:28:38 +0200
In-Reply-To: <handler.43128.B.15988596567523.ack <at> debbugs.gnu.org> (GNU bug
 Tracking System's message of "Mon, 31 Aug 2020 07:41:02 +0000")
Message-ID: <878sdsljrt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43128
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hey!

After investigating a bit, I see that `read_settings()' is correctly
called and the DPI retrieved is correct. However, `apply_xft_settings()'
seems to be a noop for me. I am using the Debian package for
experimental. In the build logs, for the GTK build:

#v+
cd debian/build-gtk && CFLAGS=3D"-g -O2 -fdebug-prefix-map=3D/<<PKGBUILDDIR=
>>=3D. -fstack-protector-strong -Wformat -Werror=3Dformat-security -Wall" C=
PPFLAGS=3D"-Wdate-time -D_FORTIFY_SOURCE=3D2" LDFLAGS=3D"-Wl,-z,relro" REL_=
ALLOC=3Dno /<<PKGBUILDDIR>>/debian/build-src/configure --build x86_64-linux=
-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib --=
localstatedir=3D/var/lib --infodir=3D/usr/share/info --mandir=3D/usr/share/=
man --enable-libsystemd --with-pop=3Dyes --enable-locallisppath=3D/etc/emac=
s:/usr/local/share/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/u=
sr/share/emacs/27.1/site-lisp:/usr/share/emacs/site-lisp --with-sound=3Dals=
a --without-gconf --with-mailutils --build x86_64-linux-gnu --prefix=3D/usr=
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib --localstatedir=3D/var=
/lib --infodir=3D/usr/share/info --mandir=3D/usr/share/man --enable-libsyst=
emd --with-pop=3Dyes --enable-locallisppath=3D/etc/emacs:/usr/local/share/e=
macs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/=
site-lisp:/usr/share/emacs/site-lisp --with-sound=3Dalsa --without-gconf --=
with-mailutils --with-cairo --with-x=3Dyes --with-x-toolkit=3Dgtk3 --with-t=
oolkit-scroll-bars
[...]
  Does Emacs use -lxft?                                   no
#v-

The lucid build has XFT:

#v+
cd debian/build-lucid && CFLAGS=3D"-g -O2 -fdebug-prefix-map=3D/<<PKGBUILDD=
IR>>=3D. -fstack-protector-strong -Wformat -Werror=3Dformat-security -Wall"=
 CPPFLAGS=3D"-Wdate-time -D_FORTIFY_SOURCE=3D2" LDFLAGS=3D"-Wl,-z,relro" RE=
L_ALLOC=3Dno /<<PKGBUILDDIR>>/debian/build-src/configure --build x86_64-lin=
ux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib =
--localstatedir=3D/var/lib --infodir=3D/usr/share/info --mandir=3D/usr/shar=
e/man --enable-libsystemd --with-pop=3Dyes --enable-locallisppath=3D/etc/em=
acs:/usr/local/share/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:=
/usr/share/emacs/27.1/site-lisp:/usr/share/emacs/site-lisp --with-sound=3Da=
lsa --without-gconf --with-mailutils --build x86_64-linux-gnu --prefix=3D/u=
sr --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib --localstatedir=3D/v=
ar/lib --infodir=3D/usr/share/info --mandir=3D/usr/share/man --enable-libsy=
stemd --with-pop=3Dyes --enable-locallisppath=3D/etc/emacs:/usr/local/share=
/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.=
1/site-lisp:/usr/share/emacs/site-lisp --with-sound=3Dalsa --without-gconf =
--with-mailutils --with-x=3Dyes --with-x-toolkit=3Dlucid --with-toolkit-scr=
oll-bars --without-gsettings
#v-

Looking at the differences in the build, I see the GTK build tests until
FreeType then it doesn't look further for Xft:

#v+
checking for cairo >=3D 1.8.0... yes
checking for freetype2... yes
checking for fontconfig >=3D 2.2.0... yes
#v-

From configure.ac, I see that I go into the Cairo branch which disables
Xft:

#+begin_src sh
  if test $HAVE_CAIRO =3D yes; then
    dnl Strict linkers fail with
    dnl ftfont.o: undefined reference to symbol 'FT_New_Face'
    dnl if -lfreetype is not specified.
    dnl The following is needed to set FREETYPE_LIBS.
    EMACS_CHECK_MODULES([FREETYPE], [freetype2])

    test "$HAVE_FREETYPE" =3D "no" && AC_MSG_ERROR(cairo requires libfreety=
pe)

    EMACS_CHECK_MODULES([FONTCONFIG], [fontconfig >=3D 2.2.0])

    test "$HAVE_FONTCONFIG" =3D "no" && AC_MSG_ERROR(cairo requires libfont=
config)
    dnl For the "Does Emacs use" message at the end.
    HAVE_XFT=3Dno
#+end_src

So, no XFT seems to mean, no DPI change is possible. Is that expected?
--=20
Make sure input cannot violate the limits of the program.
            - The Elements of Programming Style (Kernighan & Plauger)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43128; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Aug 2020 07:40:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 31 03:40:56 2020
Received: from localhost ([127.0.0.1]:51456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCeQx-0001xG-66
	for submit <at> debbugs.gnu.org; Mon, 31 Aug 2020 03:40:56 -0400
Received: from lists.gnu.org ([209.51.188.17]:39774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bernat@HIDDEN>) id 1kCeQv-0001x8-2j
 for submit <at> debbugs.gnu.org; Mon, 31 Aug 2020 03:40:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59174)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bernat@HIDDEN>) id 1kCeQu-0007zc-PG
 for bug-gnu-emacs@HIDDEN; Mon, 31 Aug 2020 03:40:52 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:39043)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bernat@HIDDEN>) id 1kCeQr-0000Dx-6t
 for bug-gnu-emacs@HIDDEN; Mon, 31 Aug 2020 03:40:52 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id AB0EC5C01A4
 for <bug-gnu-emacs@HIDDEN>; Mon, 31 Aug 2020 03:40:46 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Mon, 31 Aug 2020 03:40:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=luffy.cx; h=from
 :to:subject:date:message-id:mime-version:content-type; s=fm1;
 bh=r9Fd7yzH+QCtt1t2ZADcn6fI3drIxo8IYm7B7ryoau4=; b=aw1CepsBhg8y
 JjShCk6oPjisXXqJ25oGMBvbYlI8mI2y7Ab9fHTCjojxHeqqtCY9LjNO4BCk9ot0
 x+Ja+rlFzlzNcly5iuwZro7TXbt2UlbRnr4N+XQ66301G3+EcKqgAm/3FCZ+4LVf
 KXbBAFq8Ayq0hdh6Ni52Y1I/BCN+iN6UCpbOZVL6MyjdgsWiDdWeB5Klj3xqw51i
 EvOi0JudUJC5IOjiO2O2IMN5Ilmyjd1AOM9/4DIEjUaGPlrbooknpS9PALysK+Ek
 acaZY02RXKgmfNztHxRA9MMCJvlfj/YrL5nqbiC3tultoueABpWibtALzbNASNIh
 lzfCbRBj1A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=r9Fd7yzH+QCtt1t2ZADcn6fI3drIx
 o8IYm7B7ryoau4=; b=QPHgQhBHuv1A55QCV6J4+PAAjSvADDcQr5c/xSYlnJz/P
 j+LE1FLo7cyi0wNkQ+iRNzpdMP3KgQnTe2JQ6q2MyNHcEWYzbdVRl7ZBHTpZC+tf
 nyn8+ntAegUSHfq2GX1yxdWAPtxGbUBa0iBUcfudjKQ8xnVCLaFMIkPkNN2Dwr9Q
 zX7k4PwCAQhFJjsm0WXvOXEb4jAssH99rRuLWAqzVvd53FRHMelpyVhHj/Q2WrP+
 7TrDLt58SaIS/kaOeaofGZR/s7A4VJUHiNfluW/LfPfxkjIcIHsn/KxkbE0O+lwp
 aHQyINIyA6eiUn1NFlPGBkxg/MfMFsh/6wDPbhrlQ==
X-ME-Sender: <xms:fqlMX9J6Zyvic8p1FekMtdW6P169IRkeHUeLHTUg98oVVG_58JlmKg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrudefgedguddvgecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufffkfggtgesthdtredttd
 dttdenucfhrhhomhepgghinhgtvghnthcuuegvrhhnrghtuceosggvrhhnrghtsehluhhf
 fhihrdgtgieqnecuggftrfgrthhtvghrnhepleevteegtdffgeetvdefudejuefgjeejhf
 eggeevhfffffeivdelgeffuedujefhnecukfhppedukeehrdduvdefrddviedrvddtvden
 ucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpegsvghrnh
 grtheslhhufhhfhidrtgig
X-ME-Proxy: <xmx:fqlMX5IT9hDKuqzcyl8RrsApJfhTMFOU0pOrgoMtR8Pvc2c_uKmjdQ>
 <xmx:fqlMX1vZU-xXZInfYeVwmGNUT5o9G_4Qubay1wYEQaYiGPBdtfhh7g>
 <xmx:fqlMX-a5woMWNmkFIe3WAJDR1FaIvcrkTgE4ASfCEmAWssw4vRr_eA>
 <xmx:fqlMXwpdn-tWSRyrKULXbryKidx1T5iU4NjJZfD9UrE_GShqjrrN4w>
Received: from guybrush.luffy.cx (unknown [185.123.26.202])
 by mail.messagingengine.com (Postfix) with ESMTPA id 05CE630600A3
 for <bug-gnu-emacs@HIDDEN>; Mon, 31 Aug 2020 03:40:46 -0400 (EDT)
Received: by guybrush.luffy.cx (Postfix, from userid 1000)
 id 2AE921FDFC; Mon, 31 Aug 2020 09:31:04 +0200 (CEST)
From: Vincent Bernat <bernat@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; DPI change not detected after switching to Emacs 27.1
Date: Mon, 31 Aug 2020 09:31:04 +0200
Message-ID: <87k0xf9sqv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=66.111.4.27; envelope-from=bernat@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/31 03:40:46
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


After upgrading from Emacs 26.3 (GTK backend) to Emacs 27.1 (GTK
backend), DPI changes are not detected anymore. I am using a laptop with
a HiDPI screen (144 dpi) and when switching to a regular external DPI
monitor (96 dpi), nothing is scaled down.

The change is signalled through XSETTINGS (using xsettingsd daemon in my
case). I have tried to look at the source code to check if there was a
way to detect if the change was detected but not applied, without
success. Also, a new frame on the same display still has its fonts
scaled incorrectly.

Thanks.



In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22, cairo version 1.16.0)
 of 2020-08-24, modified by Debian built on x86-grnet-01
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid

Recent messages:
Back to top level
uncompressing frame.el.gz...done
Note: file is write protected
uncompressing frame.el.gz...done
Searched 0/1 files
Searched 1/1 files
Quit [2 times]
nil
Beginning of buffer
Mark saved where search started [3 times]

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --enable-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --enable-libsystemd
 --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --with-cairo
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2 -fdebug-prefix-map=/build/emacs-ad1UB1/emacs-27.1+1=.
 -fstack-protector-strong -Wformat -Werror=format-security -Wall'
 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD
JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LC_MESSAGES: en_US.utf8
  value of $LANG: fr_FR.utf8
  locale-coding-system: utf-8-unix

Major mode: C/*l

Minor modes in effect:
  projectile-mode: t
  bug-reference-prog-mode: t
  global-magit-file-mode: t
  magit-auto-revert-mode: t
  dtrt-indent-global-mode: t
  dtrt-indent-mode: t
  whitespace-mode: t
  highlight-parentheses-mode: t
  eros-mode: t
  global-company-mode: t
  company-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  global-git-commit-mode: t
  shell-dirtrack-mode: t
  async-bytecomp-package-mode: t
  global-auto-revert-mode: t
  save-place-mode: t
  counsel-mode: t
  ivy-mode: t
  which-key-mode: t
  auto-compile-on-load-mode: t
  global-page-break-lines-mode: t
  global-hl-line-mode: t
  show-paren-mode: t
  override-global-mode: t
  cl-old-struct-compat-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/home/bernat/.emacs.d/site-lisp/cmake-mode-3.17.0pre3/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-autoloads
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-el
/usr/share/emacs/site-lisp/elpa/debian-el-37/gnus-BTS hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/gnus-BTS
/usr/share/emacs/site-lisp/elpa/debian-el-37/preseed hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/preseed
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-bug hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-bug
/usr/share/emacs/site-lisp/elpa/debian-el-37/apt-sources hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/apt-sources
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el-autoloads hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-el-autoloads
/usr/share/emacs/site-lisp/elpa/debian-el-37/deb-view hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/deb-view
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el-pkg hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-el-pkg
/usr/share/emacs/site-lisp/elpa/debian-el-37/apt-utils hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/apt-utils
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-autoloads
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-bts-control hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-bts-control
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el-autoloads hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el-autoloads
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el-pkg hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el-pkg
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-control-mode hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-control-mode
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-changelog-mode hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-changelog-mode
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/readme-debian hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/readme-debian
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-autoloads
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-copyright hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-copyright
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-id hides /usr/share/emacs/27.1/lisp/org/org-id
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-inlinetask hides /usr/share/emacs/27.1/lisp/org/org-inlinetask
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol-w3m hides /usr/share/emacs/27.1/lisp/org/ol-w3m
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-ctags hides /usr/share/emacs/27.1/lisp/org/org-ctags
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-forth hides /usr/share/emacs/27.1/lisp/org/ob-forth
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol-mhe hides /usr/share/emacs/27.1/lisp/org/ol-mhe
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol-eww hides /usr/share/emacs/27.1/lisp/org/ol-eww
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-makefile hides /usr/share/emacs/27.1/lisp/org/ob-makefile
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-datetree hides /usr/share/emacs/27.1/lisp/org/org-datetree
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-calc hides /usr/share/emacs/27.1/lisp/org/ob-calc
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-python hides /usr/share/emacs/27.1/lisp/org/ob-python
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-agenda hides /usr/share/emacs/27.1/lisp/org/org-agenda
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-footnote hides /usr/share/emacs/27.1/lisp/org/org-footnote
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-processing hides /usr/share/emacs/27.1/lisp/org/ob-processing
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-emacs-lisp hides /usr/share/emacs/27.1/lisp/org/ob-emacs-lisp
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-core hides /usr/share/emacs/27.1/lisp/org/ob-core
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox-texinfo hides /usr/share/emacs/27.1/lisp/org/ox-texinfo
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-R hides /usr/share/emacs/27.1/lisp/org/ob-R
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-java hides /usr/share/emacs/27.1/lisp/org/ob-java
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-crypt hides /usr/share/emacs/27.1/lisp/org/org-crypt
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-ebnf hides /usr/share/emacs/27.1/lisp/org/ob-ebnf
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-tempo hides /usr/share/emacs/27.1/lisp/org/org-tempo
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-ditaa hides /usr/share/emacs/27.1/lisp/org/ob-ditaa
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-coq hides /usr/share/emacs/27.1/lisp/org/ob-coq
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox-beamer hides /usr/share/emacs/27.1/lisp/org/ox-beamer
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob hides /usr/share/emacs/27.1/lisp/org/ob
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol-info hides /usr/share/emacs/27.1/lisp/org/ol-info
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-mscgen hides /usr/share/emacs/27.1/lisp/org/ob-mscgen
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox-md hides /usr/share/emacs/27.1/lisp/org/ox-md
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-faces hides /usr/share/emacs/27.1/lisp/org/org-faces
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol-bibtex hides /usr/share/emacs/27.1/lisp/org/ol-bibtex
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-io hides /usr/share/emacs/27.1/lisp/org/ob-io
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-haskell hides /usr/share/emacs/27.1/lisp/org/ob-haskell
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-eval hides /usr/share/emacs/27.1/lisp/org/ob-eval
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-compat hides /usr/share/emacs/27.1/lisp/org/org-compat
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-gnuplot hides /usr/share/emacs/27.1/lisp/org/ob-gnuplot
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-loaddefs hides /usr/share/emacs/27.1/lisp/org/org-loaddefs
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-css hides /usr/share/emacs/27.1/lisp/org/ob-css
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-duration hides /usr/share/emacs/27.1/lisp/org/org-duration
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org hides /usr/share/emacs/27.1/lisp/org/org
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-lisp hides /usr/share/emacs/27.1/lisp/org/ob-lisp
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-js hides /usr/share/emacs/27.1/lisp/org/ob-js
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-element hides /usr/share/emacs/27.1/lisp/org/org-element
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-clock hides /usr/share/emacs/27.1/lisp/org/org-clock
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox-icalendar hides /usr/share/emacs/27.1/lisp/org/ox-icalendar
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-habit hides /usr/share/emacs/27.1/lisp/org/org-habit
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol-gnus hides /usr/share/emacs/27.1/lisp/org/ol-gnus
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol-bbdb hides /usr/share/emacs/27.1/lisp/org/ol-bbdb
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-picolisp hides /usr/share/emacs/27.1/lisp/org/ob-picolisp
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox-latex hides /usr/share/emacs/27.1/lisp/org/ox-latex
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-sqlite hides /usr/share/emacs/27.1/lisp/org/ob-sqlite
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-macro hides /usr/share/emacs/27.1/lisp/org/org-macro
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-feed hides /usr/share/emacs/27.1/lisp/org/org-feed
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-src hides /usr/share/emacs/27.1/lisp/org/org-src
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-mobile hides /usr/share/emacs/27.1/lisp/org/org-mobile
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-abc hides /usr/share/emacs/27.1/lisp/org/ob-abc
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-ruby hides /usr/share/emacs/27.1/lisp/org/ob-ruby
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-org hides /usr/share/emacs/27.1/lisp/org/ob-org
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-protocol hides /usr/share/emacs/27.1/lisp/org/org-protocol
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-dot hides /usr/share/emacs/27.1/lisp/org/ob-dot
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-ocaml hides /usr/share/emacs/27.1/lisp/org/ob-ocaml
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-fortran hides /usr/share/emacs/27.1/lisp/org/ob-fortran
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-timer hides /usr/share/emacs/27.1/lisp/org/org-timer
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-scheme hides /usr/share/emacs/27.1/lisp/org/ob-scheme
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-sql hides /usr/share/emacs/27.1/lisp/org/ob-sql
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-list hides /usr/share/emacs/27.1/lisp/org/org-list
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-goto hides /usr/share/emacs/27.1/lisp/org/org-goto
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-capture hides /usr/share/emacs/27.1/lisp/org/org-capture
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-plot hides /usr/share/emacs/27.1/lisp/org/org-plot
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-asymptote hides /usr/share/emacs/27.1/lisp/org/ob-asymptote
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-lint hides /usr/share/emacs/27.1/lisp/org/org-lint
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-ledger hides /usr/share/emacs/27.1/lisp/org/ob-ledger
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-table hides /usr/share/emacs/27.1/lisp/org/ob-table
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol-docview hides /usr/share/emacs/27.1/lisp/org/ol-docview
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-mouse hides /usr/share/emacs/27.1/lisp/org/org-mouse
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-screen hides /usr/share/emacs/27.1/lisp/org/ob-screen
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-macs hides /usr/share/emacs/27.1/lisp/org/org-macs
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox-html hides /usr/share/emacs/27.1/lisp/org/ox-html
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox-odt hides /usr/share/emacs/27.1/lisp/org/ox-odt
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-pcomplete hides /usr/share/emacs/27.1/lisp/org/org-pcomplete
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-comint hides /usr/share/emacs/27.1/lisp/org/ob-comint
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-sass hides /usr/share/emacs/27.1/lisp/org/ob-sass
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol-rmail hides /usr/share/emacs/27.1/lisp/org/ol-rmail
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-latex hides /usr/share/emacs/27.1/lisp/org/ob-latex
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-indent hides /usr/share/emacs/27.1/lisp/org/org-indent
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-colview hides /usr/share/emacs/27.1/lisp/org/org-colview
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-attach hides /usr/share/emacs/27.1/lisp/org/org-attach
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-sed hides /usr/share/emacs/27.1/lisp/org/ob-sed
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox-ascii hides /usr/share/emacs/27.1/lisp/org/ox-ascii
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-shell hides /usr/share/emacs/27.1/lisp/org/ob-shell
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol hides /usr/share/emacs/27.1/lisp/org/ol
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-octave hides /usr/share/emacs/27.1/lisp/org/ob-octave
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-attach-git hides /usr/share/emacs/27.1/lisp/org/org-attach-git
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-vala hides /usr/share/emacs/27.1/lisp/org/ob-vala
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-install hides /usr/share/emacs/27.1/lisp/org/org-install
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-exp hides /usr/share/emacs/27.1/lisp/org/ob-exp
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox-publish hides /usr/share/emacs/27.1/lisp/org/ox-publish
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-C hides /usr/share/emacs/27.1/lisp/org/ob-C
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-tangle hides /usr/share/emacs/27.1/lisp/org/ob-tangle
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-version hides /usr/share/emacs/27.1/lisp/org/org-version
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-plantuml hides /usr/share/emacs/27.1/lisp/org/ob-plantuml
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-archive hides /usr/share/emacs/27.1/lisp/org/org-archive
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-lilypond hides /usr/share/emacs/27.1/lisp/org/ob-lilypond
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-awk hides /usr/share/emacs/27.1/lisp/org/ob-awk
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-groovy hides /usr/share/emacs/27.1/lisp/org/ob-groovy
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-entities hides /usr/share/emacs/27.1/lisp/org/org-entities
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox-man hides /usr/share/emacs/27.1/lisp/org/ox-man
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol-irc hides /usr/share/emacs/27.1/lisp/org/ol-irc
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ol-eshell hides /usr/share/emacs/27.1/lisp/org/ol-eshell
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-eshell hides /usr/share/emacs/27.1/lisp/org/ob-eshell
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-num hides /usr/share/emacs/27.1/lisp/org/org-num
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-perl hides /usr/share/emacs/27.1/lisp/org/ob-perl
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-stan hides /usr/share/emacs/27.1/lisp/org/ob-stan
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-lob hides /usr/share/emacs/27.1/lisp/org/ob-lob
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox-org hides /usr/share/emacs/27.1/lisp/org/ox-org
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-keys hides /usr/share/emacs/27.1/lisp/org/org-keys
/home/bernat/.emacs.d/site-lisp/org-9.3.6/org-table hides /usr/share/emacs/27.1/lisp/org/org-table
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-lua hides /usr/share/emacs/27.1/lisp/org/ob-lua
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-hledger hides /usr/share/emacs/27.1/lisp/org/ob-hledger
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-clojure hides /usr/share/emacs/27.1/lisp/org/ob-clojure
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-ref hides /usr/share/emacs/27.1/lisp/org/ob-ref
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ox hides /usr/share/emacs/27.1/lisp/org/ox
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-J hides /usr/share/emacs/27.1/lisp/org/ob-J
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-matlab hides /usr/share/emacs/27.1/lisp/org/ob-matlab
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-maxima hides /usr/share/emacs/27.1/lisp/org/ob-maxima
/home/bernat/.emacs.d/site-lisp/org-9.3.6/ob-shen hides /usr/share/emacs/27.1/lisp/org/ob-shen

Features:
(shadow emacsbug hippie-exp misearch multi-isearch lua-mode autoload
cl-print debug rect term/screen term/xterm xterm markdown-mode
edit-indirect cursor-sensor js2-mode warnings js cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
jinja2-mode sgml-mode yaml-mode shr-color rst dumb-jump popup projectile
grep ibuf-ext ibuffer ibuffer-loaddefs python tramp-sh tramp
tramp-loaddefs trampver tramp-integration files-x tramp-compat ls-lisp
pp bbdb-message sendmail git-rebase nix-mode ffap smie nix-repl
nix-shell nix-store nix-instantiate nix-shebang nix-format nix gnus-kill
mule-util flow-fill mm-archive url-http url-gw url-auth epa-file dbus
sort gnus-cite qp gnus-async gnus-bcklg emojify apropos tar-mode
arc-mode archive-mode ht gnus-ml gnus-agent gnus-srvr gnus-score
score-mode nnvirtual nndraft nnmh utf-7 gnus-cache bbdb-gnus
network-stream nntp vbe-gnus bbdb-mua vbe-gnus-identities
gnus-identities vbe-gnus-looks gnus-topic vbe-gnus-general gnus-gravatar
mail-extr gravatar url-cache spam spam-stat bbdb-com bbdb bbdb-site
timezone gnus-uu yenc vbe-mbsync nnir gnus-icalendar org-capture
vbe-orgmode ox-reveal ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox org-element avl-tree
htmlize cl ob-async ob-shell ob-python org-tempo tempo org-clock org ob
ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src
ob-comint org-pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob-core ob-eval org-table ol org-keys
org-compat org-macs org-loaddefs icalendar diary-lib diary-loaddefs
cal-menu calendar cal-loaddefs gnus-msg gnus-art mm-uu mml2015 mm-view
mml-smime smime dig gnus-sum url url-proxy url-privacy url-expand
url-methods url-history mailcap shr url-cookie url-domsuf url-util svg
xml dom gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail
mail-source utf7 netrc nnoo parse-time iso8601 gnus-spec gnus-int
gnus-range gnus-win gnus nnheader helpful trace edebug backtrace
info-look elisp-refs loop bug-reference magit-extras magit-submodule
magit-obsolete magit-popup magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log which-func magit-diff
smerge-mode diff magit-core magit-autorevert magit-margin
magit-transient magit-process magit-mode thingatpt vc-git diff-mode
dtrt-indent disp-table paredit whitespace highlight-parentheses
vbe-server vbe-apps vbe-programming eros company-oddmuse
company-keywords company-etags etags fileloop generator company-gtags
company-dabbrev-code company-dabbrev company-files company-capf
company-cmake company-xcode company-clang company-semantic company-eclim
company-template company-bbdb company flycheck-package package-lint
let-alist imenu finder flycheck find-func git-commit with-editor shell
pcomplete transient async-bytecomp async server magit-git magit-section
magit-utils crm log-edit message format-spec rfc822 mml mml-sec epa epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log
vbe-ergonomics autorevert filenotify saveplace counsel xdg xref project
dired dired-loaddefs compile comint ansi-color swiper smex ido ivy
delsel ring jka-compr colir ivy-overlay which-key auto-compile pcase
packed vbe-looks page-break-lines spaceline-config spaceline-segments
spaceline powerline advice powerline-separators color powerline-themes
naquadah-theme hl-line paren vbe-common exec-path-from-shell
dash-functional f dash s vbe-package quelpa-use-package quelpa mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr lisp-mnt help-fns radix-tree cus-edit cus-start
cus-load wid-edit diminish cl-extra help-mode use-package
use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core derived
finder-inf tex-site edmacro kmacro rx dpkg-dev-el info debian-el vbe-tls
nsm rmc tls gnutls puny package easymenu browse-url url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 1554451 810098)
 (symbols 48 73742 4)
 (strings 32 391691 79664)
 (string-bytes 1 18314672)
 (vectors 16 150772)
 (vector-slots 8 4494952 144006)
 (floats 8 818 1868)
 (intervals 56 52958 19479)
 (buffers 1000 149))




Acknowledgement sent to Vincent Bernat <bernat@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43128; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 2 Sep 2020 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.